<?php
/**
 * Menu options
 *
 * @package Theme Palace
 * @subpackage BlogSlog Pro
 * @since BlogSlog Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'blogslog_pro_menu', array(
	'title'             => esc_html__('Header Menu','blogslog-pro'),
	'description'       => esc_html__( 'Header Menu options.', 'blogslog-pro' ),
	'panel'             => 'nav_menus',
) );

// Menu sticky setting and control.
$wp_customize->add_setting( 'blogslog_pro_theme_options[menu_sticky]', array(
	'sanitize_callback' => 'blogslog_pro_sanitize_switch_control',
	'default'           => $options['menu_sticky'],
) );

$wp_customize->add_control( new BlogSlog_Pro_Switch_Control( $wp_customize, 'blogslog_pro_theme_options[menu_sticky]', array(
	'label'             => esc_html__( 'Make Menu Sticky', 'blogslog-pro' ),
	'section'           => 'blogslog_pro_menu',
	'on_off_label' 		=> blogslog_pro_switch_options(),
) ) );
