<?php
/**
* Customizer validation functions
*
* @package Theme Palace
* @subpackage BlogSlog Pro
* @since BlogSlog Pro 1.0.0
*/

if ( ! function_exists( 'blogslog_pro_validate_long_excerpt' ) ) :
    function blogslog_pro_validate_long_excerpt( $validity, $value ){
        $value = intval( $value );
        if ( empty( $value ) || ! is_numeric( $value ) ) {
            $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'blogslog-pro' ) );
        } elseif ( $value < 5 ) {
            $validity->add( 'min_no_of_words', esc_html__( 'Minimum no of words is 5', 'blogslog-pro' ) );
        } elseif ( $value > 100 ) {
            $validity->add( 'max_no_of_words', esc_html__( 'Maximum no of words is 100', 'blogslog-pro' ) );
        }
        return $validity;
    }
endif;

if ( ! function_exists( 'blogslog_pro_validate_featured_count' ) ) :
  function blogslog_pro_validate_featured_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'blogslog-pro' ) );
     } elseif ( $value < 2 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'blogslog-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'blogslog-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'blogslog_pro_validate_list_articles_count' ) ) :
  function blogslog_pro_validate_list_articles_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'blogslog-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'blogslog-pro' ) );
     } elseif ( $value > 8 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 8', 'blogslog-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'blogslog_pro_validate_blog_count' ) ) :
  function blogslog_pro_validate_blog_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'blogslog-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'blogslog-pro' ) );
     } elseif ( $value > 13 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 13', 'blogslog-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'blogslog_pro_validate_instagram_count' ) ) :
  function blogslog_pro_validate_instagram_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'blogslog-pro' ) );
     } elseif ( $value < 6 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of feeds is 6', 'blogslog-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of feeds is 12', 'blogslog-pro' ) );
     }
     return $validity;
  }
endif;